package com.ms.dal.mapper;

import com.ms.dal.entity.DoudianMessage;
import com.ms.dal.entity.PlatformPurchaseOrderSku;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Entity com.ms.dal.entity.DoudianMessage
 */
@Mapper
public interface DoudianMessageMapper {

    int deleteByPrimaryKey(Long id);

    int insert(DoudianMessage record);

    int insertOrUpdate(DoudianMessage  record);

    int insertSelective(DoudianMessage record);

    DoudianMessage selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(DoudianMessage record);

    int updateByPrimaryKey(DoudianMessage record);

    int insertBatch(List<DoudianMessage> list);
}
